/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};    fonts['Helvetica']='';
    fonts['cabin, \'Trebuchet MS\', \'Myriad Pro\', \'Gill Sans MT\', Helvetica, sans-serif']='<script src=\"http://use.edgefonts.net/cabin:n4,i4,n7,i7,n5,i5,n6,i6:all.js\"></script>';

var opts = {
    'gAudioPreloadPreference': 'true',

    'gVideoPreloadPreference': 'metadata'
};
var resources = [
];
var symbols = {
"stage": {
    version: "4.0.1",
    minimumCompatibleVersion: "4.0.1",
    build: "4.0.1.365",
    baseState: "Base State",
    scaleToFit: "both",
    centerStage: "both",
    initialState: "Base State",
    gpuAccelerate: false,
    resizeInstances: false,
    content: {
            dom: [
            {
                id: 'MG3U2L10302_bg',
                type: 'image',
                rect: ['49px', '81px','1265px','650px','auto', 'auto'],
                fill: ["rgba(0,0,0,0)",im+"MG3U2L10302_bg.jpg",'0px','0px']
            },
            {
                id: 'MG3U2L10302_map',
                type: 'image',
                rect: ['79px', '224px','648px','483px','auto', 'auto'],
                fill: ["rgba(0,0,0,0)",im+"MG3U2L10302_map.png",'0px','0px']
            },
            {
                id: 'MG3U2L10302_table',
                type: 'image',
                rect: ['747px', '235px','523px','482px','auto', 'auto'],
                fill: ["rgba(0,0,0,0)",im+"MG3U2L10302_table.png",'0px','0px']
            },
            {
                id: 'error',
                type: 'audio',
                tag: 'audio',
                rect: ['520', '298','320px','45px','auto', 'auto'],
                source: ['media/error.mp3','media/error.ogg'],
                preload: 'true'
            },
            {
                id: 'success',
                type: 'audio',
                tag: 'audio',
                rect: ['520', '298','320px','45px','auto', 'auto'],
                source: ['media/success.mp3','media/success.ogg'],
                preload: 'true'
            },
            {
                id: 'bt_ayuda',
                type: 'rect',
                rect: ['782px', '694px','auto','auto','auto', 'auto']
            },
            {
                id: 'bt_reiniciar',
                type: 'rect',
                rect: ['692px', '694px','auto','auto','auto', 'auto']
            },
            {
                id: 'bt_solucion',
                type: 'rect',
                rect: ['604px', '694px','auto','auto','auto', 'auto']
            },
            {
                id: 'bt_validar',
                type: 'rect',
                rect: ['514px', '694px','auto','auto','auto', 'auto']
            },
            {
                id: 'hotspot_ayuda',
                type: 'rect',
                rect: ['782px', '694px','70px','70px','auto', 'auto'],
                cursor: ['pointer'],
                fill: ["rgba(192,192,192,0.00)"],
                stroke: [0,"rgba(0,0,0,1)","none"]
            },
            {
                id: 'hotspot_reiniciar',
                type: 'rect',
                rect: ['693px', '694px','70px','70px','auto', 'auto'],
                cursor: ['pointer'],
                fill: ["rgba(192,192,192,0.00)"],
                stroke: [0,"rgba(0,0,0,1)","none"]
            },
            {
                id: 'hotspot_solucion',
                type: 'rect',
                rect: ['604px', '694px','70px','70px','auto', 'auto'],
                cursor: ['pointer'],
                fill: ["rgba(192,192,192,0.00)"],
                stroke: [0,"rgba(0,0,0,1)","none"]
            },
            {
                id: 'hotspot_validar',
                type: 'rect',
                rect: ['514px', '694px','70px','70px','auto', 'auto'],
                cursor: ['pointer'],
                fill: ["rgba(192,192,192,0.00)"],
                stroke: [0,"rgba(0,0,0,1)","none"]
            },
            {
                id: 'Input_1',
                display: 'block',
                type: 'rect',
                rect: ['925px', '499px','150px','30px','auto', 'auto'],
                fill: ["rgba(37,140,147,0.149)"],
                stroke: [0,"rgb(83, 30, 30)","none"]
            },
            {
                id: 'Input_2',
                display: 'block',
                type: 'rect',
                rect: ['1091px', '633px','150px','30px','auto', 'auto'],
                fill: ["rgba(37,140,147,0.149)"],
                stroke: [0,"rgb(83, 30, 30)","none"]
            },
            {
                id: 'resp_incorrecta',
                display: 'none',
                type: 'image',
                rect: ['443px', '354px','530px','160px','auto', 'auto'],
                fill: ["rgba(0,0,0,0)",im+"msg_incorrecto.png",'0px','0px']
            },
            {
                id: 'resp_correcta',
                display: 'none',
                type: 'image',
                rect: ['443px', '354px','530px','160px','auto', 'auto'],
                fill: ["rgba(0,0,0,0)",im+"msg_correcto.png",'0px','0px']
            },
            {
                id: 'help_input',
                display: 'none',
                type: 'image',
                rect: ['439px', '330px','531px','249px','auto', 'auto'],
                fill: ["rgba(0,0,0,0)",im+"help_input.png",'0px','0px']
            },
            {
                id: 'descripcion',
                type: 'text',
                rect: ['100px', '160px','1170px','auto','auto', 'auto'],
                text: "Observa el siguiente mapa donde cada cm equivale a 3 m en la vida real.  Encuentra la distancia que hay entre los lugares indicados tanto en el mapa como en la realidad. Luego, completa la tabla. <br>",
                align: "left",
                font: ['cabin, Trebuchet MS, Myriad Pro, Gill Sans MT, Helvetica, sans-serif', 28, "rgba(26,26,26,1.00)", "400", "none", "normal"]
            },
            {
                id: 'instruccion',
                display: 'none',
                type: 'text',
                rect: ['100px', '196px','1150px','auto','auto', 'auto'],
                text: "Lorem ipsum dolor sit amet, consectetur",
                align: "left",
                font: ['cabin, Trebuchet MS, Myriad Pro, Gill Sans MT, Helvetica, sans-serif', 26, "rgba(102,102,102,1.00)", "400", "none", "normal"]
            }],
            symbolInstances: [
            {
                id: 'bt_reiniciar',
                symbolName: 'bt_reiniciar',
                autoPlay: {

                }
            },
            {
                id: 'bt_validar',
                symbolName: 'bt_validar',
                autoPlay: {

                }
            },
            {
                id: 'bt_solucion',
                symbolName: 'bt_solucion',
                autoPlay: {

                }
            },
            {
                id: 'bt_ayuda',
                symbolName: 'bt_ayuda',
                autoPlay: {

                }
            }
            ]
        },
    states: {
        "Base State": {
            "${_bt_ayuda}": [
                ["style", "top", '694px'],
                ["transform", "scaleY", '1'],
                ["style", "left", '782px'],
                ["transform", "scaleX", '1']
            ],
            "${_hotspot_reiniciar}": [
                ["style", "top", '694px'],
                ["color", "background-color", 'rgba(192,192,192,0.00)'],
                ["style", "height", '70px'],
                ["style", "cursor", 'pointer'],
                ["style", "left", '693px'],
                ["style", "width", '70px']
            ],
            "${_hotspot_validar}": [
                ["style", "top", '694px'],
                ["color", "background-color", 'rgba(192,192,192,0.00)'],
                ["style", "height", '70px'],
                ["style", "cursor", 'pointer'],
                ["style", "left", '514px'],
                ["style", "width", '70px']
            ],
            "${_resp_correcta}": [
                ["style", "top", '354px'],
                ["style", "height", '160px'],
                ["style", "display", 'none'],
                ["style", "left", '443px'],
                ["style", "width", '530px']
            ],
            "${_bt_solucion}": [
                ["style", "top", '694px'],
                ["transform", "scaleY", '1'],
                ["style", "left", '604px'],
                ["transform", "scaleX", '1']
            ],
            "${_bt_reiniciar}": [
                ["style", "top", '694px'],
                ["transform", "scaleY", '1'],
                ["style", "left", '692px'],
                ["transform", "scaleX", '1']
            ],
            "${_hotspot_solucion}": [
                ["style", "top", '694px'],
                ["color", "background-color", 'rgba(192,192,192,0.00)'],
                ["style", "height", '70px'],
                ["style", "cursor", 'pointer'],
                ["style", "left", '604px'],
                ["style", "width", '70px']
            ],
            "${_Input_2}": [
                ["color", "background-color", 'rgba(37,140,147,0.15)'],
                ["style", "opacity", '0'],
                ["style", "left", '1091px'],
                ["style", "width", '150px'],
                ["style", "top", '633px'],
                ["style", "display", 'block'],
                ["style", "right", 'auto'],
                ["style", "height", '30px'],
                ["gradient", "background-image", [270,[['rgba(255,255,255,0.00)',0],['rgba(255,255,255,0.00)',100]]]]
            ],
            "${_MG3U2L10302_table}": [
                ["style", "top", '341px'],
                ["style", "opacity", '0'],
                ["style", "left", '747px']
            ],
            "${_bt_validar}": [
                ["style", "top", '694px'],
                ["transform", "scaleY", '1'],
                ["style", "left", '514px'],
                ["transform", "scaleX", '1']
            ],
            "${_ok37}": [
                ["style", "top", '177px'],
                ["style", "display", 'none'],
                ["style", "height", '20px'],
                ["style", "left", '79px'],
                ["style", "width", '20px']
            ],
            "${_help_input}": [
                ["style", "top", '330px'],
                ["style", "height", '249px'],
                ["style", "display", 'none'],
                ["style", "left", '439px'],
                ["style", "width", '531px']
            ],
            "${_hotspot_ayuda}": [
                ["style", "top", '694px'],
                ["color", "background-color", 'rgba(192,192,192,0.00)'],
                ["style", "height", '70px'],
                ["style", "cursor", 'pointer'],
                ["style", "left", '782px'],
                ["style", "width", '70px']
            ],
            "${_Input_1}": [
                ["style", "top", '499px'],
                ["style", "height", '30px'],
                ["color", "background-color", 'rgba(37,140,147,0.15)'],
                ["style", "display", 'block'],
                ["style", "opacity", '0'],
                ["style", "left", '925px'],
                ["style", "width", '150px']
            ],
            "${_descripcion}": [
                ["style", "top", '160px'],
                ["style", "width", '1170px'],
                ["style", "font-weight", '400'],
                ["color", "color", 'rgba(26,26,26,1)'],
                ["style", "font-family", 'cabin, Trebuchet MS, Myriad Pro, Gill Sans MT, Helvetica, sans-serif'],
                ["style", "left", '100px'],
                ["style", "font-size", '28px']
            ],
            "${_MG3U2L10302_bg}": [
                ["style", "left", '49px'],
                ["style", "top", '81px']
            ],
            "${_Stage}": [
                ["color", "background-color", 'rgba(255,255,255,0.00)'],
                ["style", "min-width", '320px'],
                ["style", "overflow", 'hidden'],
                ["style", "height", '768px'],
                ["style", "max-width", '1366px'],
                ["style", "width", '1366px']
            ],
            "${_instruccion}": [
                ["style", "top", '196px'],
                ["style", "font-size", '26px'],
                ["style", "display", 'none'],
                ["style", "font-family", 'cabin, Trebuchet MS, Myriad Pro, Gill Sans MT, Helvetica, sans-serif'],
                ["color", "color", 'rgba(102,102,102,1)'],
                ["style", "font-weight", '400'],
                ["style", "left", '100px'],
                ["style", "width", '1150px']
            ],
            "${_MG3U2L10302_map}": [
                ["style", "top", '330px'],
                ["style", "opacity", '0'],
                ["style", "left", '79px']
            ],
            "${_resp_incorrecta}": [
                ["style", "top", '354px'],
                ["style", "height", '160px'],
                ["style", "display", 'none'],
                ["style", "left", '443px'],
                ["style", "width", '530px']
            ]
        }
    },
    timelines: {
        "Default Timeline": {
            fromState: "Base State",
            toState: "",
            duration: 1000,
            autoPlay: true,
            timeline: [
                { id: "eid984", tween: [ "style", "${_MG3U2L10302_map}", "opacity", '1', { fromValue: '0'}], position: 0, duration: 750, easing: "easeOutBack" },
                { id: "eid975", tween: [ "style", "${_resp_correcta}", "display", 'none', { fromValue: 'none'}], position: 0, duration: 0 },
                { id: "eid986", tween: [ "style", "${_MG3U2L10302_table}", "opacity", '1', { fromValue: '0'}], position: 105, duration: 750, easing: "easeOutBack" },
                { id: "eid978", tween: [ "style", "${_instruccion}", "display", 'none', { fromValue: 'none'}], position: 0, duration: 0 },
                { id: "eid977", tween: [ "style", "${_help_input}", "display", 'none', { fromValue: 'none'}], position: 0, duration: 0 },
                { id: "eid888", tween: [ "style", "${_ok37}", "display", 'none', { fromValue: 'none'}], position: 0, duration: 0 },
                { id: "eid976", tween: [ "style", "${_resp_incorrecta}", "display", 'none', { fromValue: 'none'}], position: 0, duration: 0 },
                { id: "eid990", tween: [ "style", "${_Input_2}", "opacity", '1', { fromValue: '0'}], position: 500, duration: 500 },
                { id: "eid988", tween: [ "style", "${_Input_1}", "opacity", '1', { fromValue: '0'}], position: 500, duration: 500 },
                { id: "eid980", tween: [ "style", "${_MG3U2L10302_map}", "top", '224px', { fromValue: '330px'}], position: 0, duration: 750, easing: "easeOutBack" },
                { id: "eid982", tween: [ "style", "${_MG3U2L10302_table}", "top", '235px', { fromValue: '341px'}], position: 105, duration: 750, easing: "easeOutBack" }            ]
        }
    }
},
"ok": {
    version: "4.0.1",
    minimumCompatibleVersion: "4.0.1",
    build: "4.0.1.365",
    baseState: "Base State",
    scaleToFit: "none",
    centerStage: "none",
    initialState: "Base State",
    gpuAccelerate: false,
    resizeInstances: false,
    content: {
            dom: [
                {
                    id: 'ok',
                    type: 'image',
                    rect: ['0px', '0px', '20px', '20px', 'auto', 'auto'],
                    fill: ['rgba(0,0,0,0)', 'images/ok.png', '0px', '0px']
                }
            ],
            symbolInstances: [
            ]
        },
    states: {
        "Base State": {
            "${_ok}": [
                ["style", "top", '0px'],
                ["style", "left", '0px']
            ],
            "${symbolSelector}": [
                ["style", "height", '20px'],
                ["style", "width", '20px']
            ]
        }
    },
    timelines: {
        "Default Timeline": {
            fromState: "Base State",
            toState: "",
            duration: 0,
            autoPlay: true,
            timeline: [
            ]
        }
    }
},
"bad": {
    version: "4.0.1",
    minimumCompatibleVersion: "4.0.1",
    build: "4.0.1.365",
    baseState: "Base State",
    scaleToFit: "none",
    centerStage: "none",
    initialState: "Base State",
    gpuAccelerate: false,
    resizeInstances: false,
    content: {
            dom: [
                {
                    id: 'bad',
                    type: 'image',
                    rect: ['0px', '0px', '20px', '20px', 'auto', 'auto'],
                    fill: ['rgba(0,0,0,0)', 'images/bad.png', '0px', '0px']
                }
            ],
            symbolInstances: [
            ]
        },
    states: {
        "Base State": {
            "${_bad}": [
                ["style", "left", '0px'],
                ["style", "top", '0px']
            ],
            "${symbolSelector}": [
                ["style", "height", '20px'],
                ["style", "width", '20px']
            ]
        }
    },
    timelines: {
        "Default Timeline": {
            fromState: "Base State",
            toState: "",
            duration: 0,
            autoPlay: true,
            timeline: [
            ]
        }
    }
},
"bt_validar": {
    version: "4.0.1",
    minimumCompatibleVersion: "4.0.1",
    build: "4.0.1.365",
    baseState: "Base State",
    scaleToFit: "none",
    centerStage: "none",
    initialState: "Base State",
    gpuAccelerate: false,
    resizeInstances: true,
    content: {
            dom: [
                {
                    type: 'image',
                    id: 'botones',
                    rect: ['0px', '0px', '290px', '140px', 'auto', 'auto'],
                    clip: ['rect(0px 70px 70px 0px)'],
                    fill: ['rgba(0,0,0,0)', 'images/botones.png', '0px', '-70px']
                }
            ],
            symbolInstances: [
            ]
        },
    states: {
        "Base State": {
            "${_botones}": [
                ["style", "background-position", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
                ["style", "clip", [0,70,70,0], {valueTemplate:'rect(@@0@@px @@1@@px @@2@@px @@3@@px)'} ]
            ],
            "${symbolSelector}": [
                ["style", "height", '70px'],
                ["style", "overflow", 'hidden'],
                ["style", "width", '70px']
            ]
        }
    },
    timelines: {
        "Default Timeline": {
            fromState: "Base State",
            toState: "",
            duration: 250,
            autoPlay: false,
            labels: {
                "normal": 0,
                "down": 250
            },
            timeline: [
                { id: "eid1275", tween: [ "style", "${_botones}", "background-position", [0,0], { valueTemplate: '@@0@@px @@1@@px', fromValue: [0,0]}], position: 0, duration: 0 },
                { id: "eid1274", tween: [ "style", "${_botones}", "background-position", [0,-70], { valueTemplate: '@@0@@px @@1@@px', fromValue: [0,0]}], position: 250, duration: 0 }            ]
        }
    }
},
"bt_solucion": {
    version: "4.0.1",
    minimumCompatibleVersion: "4.0.1",
    build: "4.0.1.365",
    baseState: "Base State",
    scaleToFit: "none",
    centerStage: "none",
    initialState: "Base State",
    gpuAccelerate: false,
    resizeInstances: true,
    content: {
            dom: [
                {
                    type: 'image',
                    id: 'botones2',
                    rect: ['0', '0', '290px', '140px', 'auto', 'auto'],
                    clip: ['rect(0px 70px 70px 0px)'],
                    fill: ['rgba(0,0,0,0)', 'images/botones.png', '-73px', '0px']
                }
            ],
            symbolInstances: [
            ]
        },
    states: {
        "Base State": {
            "${_botones2}": [
                ["style", "background-position", [-73,0], {valueTemplate:'@@0@@px @@1@@px'} ],
                ["style", "clip", [0,70,70,0], {valueTemplate:'rect(@@0@@px @@1@@px @@2@@px @@3@@px)'} ]
            ],
            "${symbolSelector}": [
                ["style", "height", '70px'],
                ["style", "width", '70px'],
                ["style", "overflow", 'hidden']
            ]
        }
    },
    timelines: {
        "Default Timeline": {
            fromState: "Base State",
            toState: "",
            duration: 250,
            autoPlay: false,
            labels: {
                "normal": 0,
                "down": 250
            },
            timeline: [
                { id: "eid1276", tween: [ "style", "${_botones2}", "background-position", [-73,0], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-73,0]}], position: 0, duration: 0 },
                { id: "eid1277", tween: [ "style", "${_botones2}", "background-position", [-73,-70], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-73,0]}], position: 250, duration: 0 }            ]
        }
    }
},
"bt_reiniciar": {
    version: "4.0.1",
    minimumCompatibleVersion: "4.0.1",
    build: "4.0.1.365",
    baseState: "Base State",
    scaleToFit: "none",
    centerStage: "none",
    initialState: "Base State",
    gpuAccelerate: false,
    resizeInstances: true,
    content: {
            dom: [
                {
                    type: 'image',
                    id: 'botones3',
                    rect: ['0', '0', '290px', '140px', 'auto', 'auto'],
                    clip: ['rect(0px 70px 70px 0px)'],
                    fill: ['rgba(0,0,0,0)', 'images/botones.png', '0px', '0px']
                }
            ],
            symbolInstances: [
            ]
        },
    states: {
        "Base State": {
            "${symbolSelector}": [
                ["style", "height", '70px'],
                ["style", "overflow", 'hidden'],
                ["style", "width", '70px']
            ],
            "${_botones3}": [
                ["style", "clip", [0,70,70,0], {valueTemplate:'rect(@@0@@px @@1@@px @@2@@px @@3@@px)'} ],
                ["style", "background-position", [-146,0], {valueTemplate:'@@0@@px @@1@@px'} ]
            ]
        }
    },
    timelines: {
        "Default Timeline": {
            fromState: "Base State",
            toState: "",
            duration: 250,
            autoPlay: false,
            labels: {
                "normal": 0,
                "down": 250
            },
            timeline: [
                { id: "eid1278", tween: [ "style", "${_botones3}", "background-position", [-146,0], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-146,0]}], position: 0, duration: 0 },
                { id: "eid1279", tween: [ "style", "${_botones3}", "background-position", [-146,-70], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-146,0]}], position: 250, duration: 0 }            ]
        }
    }
},
"bt_ayuda": {
    version: "4.0.1",
    minimumCompatibleVersion: "4.0.1",
    build: "4.0.1.365",
    baseState: "Base State",
    scaleToFit: "none",
    centerStage: "none",
    initialState: "Base State",
    gpuAccelerate: false,
    resizeInstances: true,
    content: {
            dom: [
                {
                    type: 'image',
                    id: 'botones4',
                    rect: ['0', '0', '290px', '140px', 'auto', 'auto'],
                    clip: ['rect(0px 70px 70px 0px)'],
                    fill: ['rgba(0,0,0,0)', 'images/botones.png', '0px', '0px']
                }
            ],
            symbolInstances: [
            ]
        },
    states: {
        "Base State": {
            "${symbolSelector}": [
                ["style", "height", '70px'],
                ["style", "overflow", 'hidden'],
                ["style", "width", '70px']
            ],
            "${_botones4}": [
                ["style", "clip", [0,70,70,0], {valueTemplate:'rect(@@0@@px @@1@@px @@2@@px @@3@@px)'} ],
                ["style", "background-position", [-220,0], {valueTemplate:'@@0@@px @@1@@px'} ]
            ]
        }
    },
    timelines: {
        "Default Timeline": {
            fromState: "Base State",
            toState: "",
            duration: 250,
            autoPlay: false,
            labels: {
                "normal": 0,
                "down": 250
            },
            timeline: [
                { id: "eid1280", tween: [ "style", "${_botones4}", "background-position", [-220,0], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-220,0]}], position: 0, duration: 0 },
                { id: "eid1281", tween: [ "style", "${_botones4}", "background-position", [-220,-70], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-220,0]}], position: 250, duration: 0 }            ]
        }
    }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources, opts);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-94063035");
